# SIG_DevBoard
English | [简体中文](./sig_devboard_cn.md)

Note: The content of this SIG follows the convention described in OpenHarmony's PMC Management Charter [README](/zh/pmc.md).

## SIG group work objectives and scope

### work goals
- Solve the adaptation of OHOS chip and board card

- Solve the fragmentation of OHOS motherboards and accessories

- Provide one-stop service platform for OHOS boards

- Provide an exchange platform for OHOS board business opportunities

- Assist OHOS board card vendors to upload code to the library

### work scope

- Provide OHOS chip adaptation and planning
  - Statistics on the current situation and progress of the chips that have been adapted, are being adapted, and are planned to be adapted

- Provide hardware specifications for OHOS boards

  -  In order to facilitate the versatility of the development board, a hardware interface specification is proposed. It is recommended that development board manufacturers develop, produce and sell under this specification

- Easy Porting Requirements

  - Put forward portability requirements, all OpenHarmony projects need to be supported, not only the kernel and compiled projects

- Porting and Contributing Guidelines

  - Guides board manufacturers to contribute their codes and documents to the community.

- Demo Projects

  - Creates demo projects, hi3516/hi3518/hi3861, for others to follow.

- Expanding Ecosystems

  - Actively cooperates with board manufacturers.

### The repository 
- project name:
  - device_st: https://gitee.com/openharmony-sig/device_st
  - device_allwinner: https://gitee.com/openharmony-sig/device_allwinner
  - vendor_huawei_ipcamera_v3s: https://gitee.com/openharmony-sig/vendor_huawei_ipcamera_v3s
  - vendor_oh_fun: https://gitee.com/openharmony-sig/vendor_oh_fun
  - vendor_huawei_minidisplay_demo: https://gitee.com/openharmony-sig/vendor_huawei_minidisplay_demo
  - device_mediatek: https://gitee.com/openharmony-sig/device_mediatek
  - device_nordic: https://gitee.com/openharmony-sig/device_nordic
  - device_nxp: https://gitee.com/openharmony-sig/device_nxp
  - device_fudanmicro: https://gitee.com/openharmony-sig/device_fudanmicro
  - device_bestechnic: https://gitee.com/openharmony-sig/device_bestechnic
  - device_ingenic: https://gitee.com/openharmony-sig/device_ingenic
  - device_espressif: https://gitee.com/openharmony-sig/device_espressif
  - device_winnermicro: https://gitee.com/openharmony-sig/device_winnermicro
  - device_rockchip: https://gitee.com/openharmony-sig/device_rockchip
  - device_unisoc: https://gitee.com/openharmony-sig/device_unisoc
  - device_broadcom: https://gitee.com/openharmony-sig/device_broadcom
  - device_realtek: https://gitee.com/openharmony-sig/device_realtek
  - device_bouffalolab: https://gitee.com/openharmony-sig/device_bouffalolab
  - vendor_ohemu: https://gitee.com/openharmony/vendor_ohemu
  - device_qemu: https://gitee.com/openharmony/device_qemu

## SIG Members

### Leader
- [liuyang198591](https://gitee.com/liuyang198591)

### Committers
- [li-gaopeng0312](https://gitee.com/li-gaopeng0312)
- [zianed](https://gitee.com/zianed)
- [DennyShen](https://gitee.com/DennyShen)
- [borne](https://gitee.com/borne)
- [jady3356](https://gitee.com/taiyipei)
- [zeeman_wang](https://gitee.com/zeeman_wang)
- [dxbedu](https://gitee.com/dxbedu)
- [SimonLi](https://gitee.com/kkup180)
- [kefeixiong](https://gitee.com/addyke)
- [cijliu](https://gitee.com/cijliu)
- [Laowang-BearPi](https://gitee.com/laowangiotclub)
- [weidongshan](https://gitee.com/weidongshan)
- [Leon](https://gitee.com/jahyeon)
- [zhao_xiuxiu](https://gitee.com/zhao_xiuxiu)
- [firefly_team](https://gitee.com/firefly_team)

### Meetings
 - Meeting time: BiWeek Thursday 10:00
 - Meeting application: [SIG-DevBoardMeeting application](https://shimo.im/sheets/UZBk8yBk0y4NE4SZ)
 - meeting link:Tencent meeting or other meeting
 - Meeting notification: [Subscribe to](https://lists.openatom.io/postorius/lists/sig_devboard.openharmony.io/) mailing list for the 
 - Meeting Summary:To view the minutes of past meetings, please click this [link](https://gitee.com/openharmony-sig/sig-content/tree/master/devboard/meetings)

### Contact (optional)

- Mailing list: [sig_devboard@openharmony.io](https://lists.openatom.io/postorius/lists/sig_devboard.openharmony.io/)
- Slack group: [devboard](https://openharmonyworkspace.slack.com/archives/C0201BL0WEM)
- Wechat group: xxx

