# SIG-OpenBlock

English | [简体中文](./sig_openblock_cn.md)

 

Note: The content of this SIG follows the convention described in OpenHarmony's PMC Management Charter [README](/zh/pmc.md).

 

## SIG group work objectives and scope

 

In order to extend OpenHarmony OS's use in youth programming and STEM education, OpenBlock SIG will port the runtime of the Blockly based graphical programming language to OpenHarmony OS. And support soft bus, distributed and other OpenHarmony OS capabilities.

OpenBlock SIG will also assist third party device vendors and education providers to build their own distribution and samples, assist device vendor code repository, and work with the STEM education industry to expand the OpenHarmony OS ecosystem in the field of programming for children.

 

### Scope

 

- Provides a Web-based graphical programming IDE and compiler

 

Web-based IDE and compiler to reduce environment dependency. For L0~L5 different levels of hardware equipment to provide a unified, standard programming environment.

 

- Define graphical programming interface specifications

 

Guide peripheral vendors, development board vendors, and third party service providers to contribute code to the community

 

- Demo Projects

 

Create third-party sensor and network service sample projects, such as temperature sensor, motor control board, Baidu AI, iFlytek voice recognition, to provide reference for other manufacturers and teachers.

 

- Expanding Ecosystems

 

Actively cooperate with schools, teachers and education providers

 

### The repository

- project name:

  - openblock: https://gitee.com/openharmony-sig/openblock
    This repository is used to store code and documentation related to the integration of the OpenBlock core library with OpenHarmony.

  - openblock-blocks: https://gitee.com/openharmony-sig/openblock_blocks
  This repository is used to store the blocks and the corresponding code that is integrated with OpenHarmony. To support more devices and OpenHarmony specific functionality.

 

 

 

## SIG Members

 

### Leader

- [duzc2](https://gitee.com/duzc2)

 

### Committers列表

- [aaronchan_cx](https://gitee.com/aaronchan_cx)

- [htq110219891](https://gitee.com/htq110219891)

 
### Meetings
 - Meeting time: BiWeek Monday 10:00
 - Meeting application: [SIG-OpenBloack application](https://shimo.im/sheets/vfghbtkSIvo49soA)
 - meeting link:Tencent meeting or other meeting
 - Meeting notification: [Subscribe to](https://lists.openatom.io/postorius/lists/sig_openblock.openharmony.io) mailing list for the 
 - Meeting Summary:To view the minutes of past meetings, please click this [link](https://gitee.com/openharmony-sig/sig-content/tree/master/openblock/meetings)

### Contact (optional)

- Mailing list: [sig_openblock@openharmony.io](https://lists.openatom.io/postorius/lists/sig_openblock.openharmony.io/)
- Slack group: xxx
- Wechat group: xxx
